Subject: Re: [tcpm] [Technical Errata Reported] RFC5925 (4365)

From: Joe Touch <[email-masked]>
Date: Tue, 12 May 2015 14:13:08 -0700

Hi, all,

Thanks to Michael Sharf for pointing this out.

This can be flagged as "wait for update" because it's not critical to
the operation of the option.

Joe

On 5/12/2015 1:46 PM, RFC Errata System wrote:
> The following errata report has been submitted for RFC5925,
> "The TCP Authentication Option".
> 
> --------------------------------------
> You may review the report below and at:
> http://www.rfc-editor.org/errata_search.php?rfc=5925&eid=4365
> 
> --------------------------------------
> Type: Technical
> Reported by: Joe Touch <[email-masked]>
> 
> Section: 7.6
> 
> Original Text
> -------------
>    TCP's 4-bit data offset requires that the options end 60 bytes (15
>    32-bit words) after the header begins, including the 20-byte header.
>    This leaves 40 bytes for options, of which 15 are expected in current
>    implementations (listed below), leaving at most 25 for other uses.
>    TCP-AO consumes 16 bytes, leaving 9 bytes for additional SYN options
>    (depending on implementation dependant alignment padding, which could
>    consume another 2 bytes at most).
> 
>    o  SACK permitted (2 bytes) [RFC2018][RFC3517]
> 
>    o  Timestamps (10 bytes) [RFC1323]
> 
>    o  Window scale (3 bytes) [RFC1323]
> 
> 
> Corrected Text
> --------------
>    TCP's 4-bit data offset requires that the options end 60 bytes (15
>    32-bit words) after the header begins, including the 20-byte header.
>    This leaves 40 bytes for options, of which 19 are expected in current
>    implementations (listed below), leaving at most 21 for other uses.
>    TCP-AO consumes 16 bytes, leaving 5 bytes for additional SYN options
>    (depending on implementation dependent alignment padding, which could
>    consume another 2 bytes at most).
> 
>    o  SACK permitted (2 bytes) [RFC2018][RFC3517]
> 
>    o  Timestamps (10 bytes) [RFC1323]
> 
>    o  Window scale (3 bytes) [RFC1323]
> 
>    o  Maximum Segment Size (4 bytes) [RFC793]
> 
> 
> Notes
> -----
> MSS was missing in the original text. New text includes MSS and updates numbers accordingly.
> 
> Also corrects a spelling error (dependant -> dependent), which is non-technical but included in the revised text.
> 
> Instructions:
> -------------
> This erratum is currently posted as "Reported". If necessary, please
> use "Reply All" to discuss whether it should be verified or
> rejected. When a decision is reached, the verifying party (IESG)
> can log in to change the status and edit the report, if necessary. 
> 
> --------------------------------------
> RFC5925 (draft-ietf-tcpm-tcp-auth-opt-11)
> --------------------------------------
> Title               : The TCP Authentication Option
> Publication Date    : June 2010
> Author(s)           : J. Touch, A. Mankin, R. Bonica
> Category            : PROPOSED STANDARD
> Source              : TCP Maintenance and Minor Extensions
> Area                : Transport
> Stream              : IETF
> Verifying Party     : IESG
>

---

From: "Scharf, Michael (Michael)" <[email-masked]>
Date: Wed, 13 May 2015 21:06:50 +0000

Indeed, "Hold for Document Update" could be appropriate.

According to [1] "Only errors that could cause implementation or deployment problems or significant confusion should be Verified." and "Things that are clearly wrong but could not cause an implementation or deployment problem should be Hold for Document Update." To me this errata is more in the latter camp.

Thanks for fixing this!

Michael

[1] http://www.ietf.org/iesg/statement/errata-processing.html

---

From: RFC Errata System <[email-masked]>
Date: Tue, 12 May 2015 13:46:19 -0700 (PDT)

Section: 7.6

Original Text
-------------

Corrected Text
--------------

Notes
-----

Instructions:
-------------